CVE-2023-39194

Public on 2023-10-06
Modified on 2024-01-12
Description
A flaw was found in the XFRM subsystem in the Linux kernel. The specific flaw exists within the processing of state filters, which can result in a read past the end of an allocated buffer. This flaw allows a local privileged (CAP_NET_ADMIN) attacker to trigger an out-of-bounds read, potentially leading to an information disclosure.
Severity
Low severity
Low
CVSS v3 Base Score
3.2
See breakdown

Affected Packages

Platform Package Release Date Advisory Status
Amazon Linux 1 kernel 2023-09-27 ALAS-2023-1838 Fixed
Amazon Linux 2 - Core kernel 2023-09-27 ALAS2-2023-2264 Fixed
Amazon Linux 2 - Kernel-5.10 Extra kernel 2023-08-31 ALAS2KERNEL-5.10-2023-039 Fixed
Amazon Linux 2 - Kernel-5.15 Extra kernel 2023-08-31 ALAS2KERNEL-5.15-2023-026 Fixed
Amazon Linux 2 - Kernel-5.4 Extra kernel 2023-09-27 ALAS2KERNEL-5.4-2023-053 Fixed
Amazon Linux 2023 kernel 2023-08-31 ALAS2023-2023-330 Fixed

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:L/I:N/A:N
NVD CVSSv3 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:L/I:N/A:N